<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class PaymentLinkMetadata extends \Google\Protobuf\Internal\Message
{
    


    protected $button = null;
    


    protected $header = null;
    


    protected $provider = null;

    










    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getButton()
    {
        return $this->button;
    }

    public function hasButton()
    {
        return isset($this->button);
    }

    public function clearButton()
    {
        unset($this->button);
    }

    




    public function setButton($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\Message\PaymentLinkMetadata\PaymentLinkButton::class);
        $this->button = $var;

        return $this;
    }

    



    public function getHeader()
    {
        return $this->header;
    }

    public function hasHeader()
    {
        return isset($this->header);
    }

    public function clearHeader()
    {
        unset($this->header);
    }

    




    public function setHeader($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\Message\PaymentLinkMetadata\PaymentLinkHeader::class);
        $this->header = $var;

        return $this;
    }

    



    public function getProvider()
    {
        return $this->provider;
    }

    public function hasProvider()
    {
        return isset($this->provider);
    }

    public function clearProvider()
    {
        unset($this->provider);
    }

    




    public function setProvider($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\Message\PaymentLinkMetadata\PaymentLinkProvider::class);
        $this->provider = $var;

        return $this;
    }

}

